Page MenuHomePhabricator

Fix how settings work with global preference (limited width, font size, night mode)
Closed, ResolvedPublic3 Estimated Story PointsBUG REPORT

Description

Caused by T323076
Steps to replicate the issue (include links if applicable):

beta-cluster

Screenshot 2024-06-20 at 10.05.41 AM.png (612×1 px, 95 KB)

  1. Production
  2. Visit https://meta.wikimedia.org/wiki/Special:GlobalPreferences and check the box for "Enable limited width mode" to mark it as a global preference.
  3. Visit https://en.wikipedia.org/wiki/Special:Preferences#mw-prefsection-rendering and confirm there is no local override
  4. Visit https://en.wikipedia.org/wiki/Main_Page with limited width enabled. Click button in bottom right to change to full width
  5. Refresh page

What happens?:

  • Limited width is still on

What should have happened instead?:

  • Page should be full width

Software version (skip for WMF-hosted wikis like Wikipedia):

Other information (browser name/version, screenshots, etc.):

Looking at the API, a warning message is present.

This should also be applied to font size and night theme.

QA Results - Beta

ACStatusDetails
1T341278#9911998

QA Results - PROD

ACStatusDetails
1T341278#9988709

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson renamed this task from Limited width preference doesn't work when set as a global preference to Review how settings work with global preference (limited width, font size, night mode).Feb 1 2024, 7:21 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: taavi.

We were waiting on T323076 for this one. I followed up on the ticket :)

ovasileva raised the priority of this task from Medium to High.May 22 2024, 7:13 AM
Jdlrobson renamed this task from Review how settings work with global preference (limited width, font size, night mode) to Fix how settings work with global preference (limited width, font size, night mode).Jun 13 2024, 1:01 AM
Jdlrobson added a subscriber: LucasWerkmeister.

Change #1038452 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Make all frontend stored preferences global

https://gerrit.wikimedia.org/r/1038452

This is moving along nicely. I'm hoping we'll be able to wrap the work up next week.

Jdlrobson changed the task status from Stalled to Open.Jun 17 2024, 6:59 PM
Jdlrobson removed Jdlrobson as the assignee of this task.

If a reviewer needs help setting up GlobalPreferences I can help (if you use docker)

Change #1038452 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Make all frontend stored preferences global

https://gerrit.wikimedia.org/r/1038452

Jdlrobson moved this task from QA to Doing on the Web-Team-Backlog (FY2023-24 Q4 Sprint 6) board.
Jdlrobson added a subscriber: GMikesell-WMF.

Not working on beta cluster.. looking..

Change #1047172 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Client preferences should user new user preference API

https://gerrit.wikimedia.org/r/1047172

Change #1047172 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Client preferences should user new user preference API

https://gerrit.wikimedia.org/r/1047172

Change #1047186 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Do not show preferences, if night mode or appearance menu is disabled

https://gerrit.wikimedia.org/r/1047186

Change #1047186 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Do not show preferences, if night mode or appearance menu is disabled

https://gerrit.wikimedia.org/r/1047186

@Jdlrobson As seen in the gif when it comes to the last link https://ca.wikipedia.beta.wmflabs.org in Step 4, I did not go to "wide" but "Standard"

Test Result - Beta

Status: ❌ FAIL
Environment: Beta
OS: macOS Sonoma 14.5
Browser: Chrome 126
Device: MBA
Emulated Device: NA

Test Steps

  1. Visit https://ca.wikipedia.beta.wmflabs.org/wiki/Especial:GlobalPreferences#mw-prefsection-rendering and set "Enable limited width mode" as a global preference.
  2. Visit https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Preferences#mw-prefsection-rendering and confirm there is no local override
  3. Visit https://en.wikipedia.beta.wmflabs.org with limited width enabled. Click button in bottom right to change to full width
  4. Visit https://ca.wikipedia.beta.wmflabs.org

❌AC1: Page should be full width

2024-06-19_14-48-50.mp4.gif (672×1 px, 1 MB)

Hi @GMikesell-WMF - you need to make sure "Set to global is checked". I've updated the QA steps to make this clearer.

Test Result - Beta

Status: ✅ PASS
Environment: Beta
OS: macOS Sonoma 14.5
Browser: Chrome 126
Device: MBA
Emulated Device: NA

Test Steps

  1. Visit https://ca.wikipedia.beta.wmflabs.org/wiki/Especial:GlobalPreferences#mw-prefsection-rendering and set "Enable limited width mode" as a global preference by checking the checkbox to the far left and clicking save at the bottom of the page
  2. Visit https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Preferences#mw-prefsection-rendering and confirm there is no local override
  3. Visit https://en.wikipedia.beta.wmflabs.org with limited width enabled. Click button in bottom right to change to full width
  4. Visit https://ca.wikipedia.beta.wmflabs.org ✅ AC1: Page should be full width

2024-06-20_13-23-22.mp4.gif (674×1 px, 3 MB)

ovasileva added a project: User-notice.

For tech news: "All options in the Appearance menu (Text for font size, Width for page width, and Color for dark/light mode) can now be set as global preferences."

Test Result - PROD

Status: ✅ PASS
Environment: PROD
OS: macOS Sonoma 14.5
Browser: Chrome 126
Device: MBA
Emulated Device: NA

Test Steps

  1. Visit https://meta.wikimedia.org/wiki/Special:GlobalPreferences and check the box for "Enable limited width mode" to mark it as a global preference.
  2. Visit https://en.wikipedia.org/wiki/Special:Preferences#mw-prefsection-rendering and confirm there is no local override
  3. Visit https://en.wikipedia.org/wiki/Main_Page with limited width enabled. Click button in bottom right to change to full width

    ✅ AC1: Page should be full width

2024-07-16_16-34-59.mp4.gif (734×2 px, 2 MB)